$(document).ready(function() {
    $n = $("#no_control").val();
    if ($n != "") { showNewPass(); }

    $e = $("#estado_pwd").val();
    if ($e != "") { showTimeExpired(); }
});

var _TOKEN = document.getElementsByName("csrf-token")[0].content;

/******************************************************************************************************
                                        EGRESO
 ******************************************************************************************************/

function showModal() {
    // $('#myModal').modal('show');
    $('#myModal').modal({
        show: true,
        backdrop: 'static',
        keyboard: true
    });
}

function showNewPass() {
    $('#myModal-new-pass').modal({
        show: true,
        backdrop: 'static',
        keyboard: true
    });

    $('.close').click(function(e) {
        e.preventDefault();
        history.pushState(null, "", "/");
        // location.href = '/';
    });
}

function closeModal() {
    $('#myModal').modal('hide');
    document.getElementById('myModal').style.display = 'none';
}

/****************************************************************************************************
 *                                      LOGIN EGRESO PAGINA TEC
 ****************************************************************************************************/

function correo_reset(f) {
    if (!f.checkValidity()) {
        mw('Restablecer Contraseña', 'Por favor ingresa tu correo institucional');
    } else {
        //if (f.correo.value=='caroll.pt@zitacuaro.tecnm.mx') {
        mp();
        $("#myModal-correo-reset").modal('hide');
        $.ajax({
                type: "POST",
                url: "login/egreso/correo/reset/pass",
                headers: { 'X-CSRF-TOKEN': _TOKEN },
                data: { correo: f.correo.value },
                dataType: "json"
            }).done(function(json) {
                if (json.estado == 'ok_correo_reset') {
                    ms('Restablecer Contraseña', json.mensaje);
                }
            })
            .fail(function() { console.log('error') })
            .always(function() {
                op();
                console.log('complete')
            });
        /*} else{
            me('Restablecer Contraseña', "Por favor intenta mas tarde!!")
        } */

    }
}

function form_reset_pass() {

    mp();
    $.ajax({
            url: 'login/egreso/form/reset/pass/',
            type: 'GET',
            dataType: 'html'
        })
        .done(function(vista) {
            $("#contenedor").html(vista);
            // $("#carreras_input").autocomplete({
            //     source: carreras
            // });
            // ordenar_tabla();
        })
        .fail(function() {
            console.log('error');
        })
        .always(function() {
            op();
            console.log('complete');
        });
}

function checkPassword(valor) {

    var myregex = /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}$/;

    var espacio = valor.indexOf(' ');
    var guion = valor.indexOf('-');

    if (myregex.test(valor)) {
        if (espacio == -1) {
            if (guion == -1) {
                return true;
            } else {
                mw('Actualizar contraseña', 'La contraseña no debe contener el simbolo "-" ');
            }
        } else {
            mw('Actualizar contraseña', 'Verifique que no contenga espacios en blanco');
        }
    } else {
        return false;
    }
}

function update_new_pass(f) {
    if (!f.checkValidity()) {
        mw('Actualizar contraseña', 'Por favor, completa todos los campos');
    } else {
        if (f.new_pass.value == f.confirmar_pass.value) {
            if (!checkPassword(f.new_pass.value)) {
                // alert('La contraseña no es valida');
                me('Restablecer password', 'La contraseña no es valida');
                f.new_pass.focus();
            } else {
                ms('Restablecer password', 'La contraseña es valida');
                mp();
                $.ajax({
                        type: "POST",
                        url: "update/new/pass/" + f.id.value,
                        headers: { 'X-CSRF-TOKEN': _TOKEN },
                        data: {
                            new_pass: f.new_pass.value,
                            confirmar_pass: f.confirmar_pass.value
                        },
                        dataType: "json"
                    }).done(function(json) {
                        if (json.estado == 'ok') {
                            ms('Actualizar', json.mensaje);
                            $('#myModal-new-pass').modal('hide');
                            window.location = '/';

                        }

                        if (json.estado == 'error') {
                            me('Actualizar', json.mensaje);
                        }
                    })
                    .fail(function() {
                        console.log('error')
                    })
                    .always(function() {
                        op();
                        console.log('complete')
                    });
            }
        } else {
            // alert('Las contraseñas no coinciden');
            mw('Restablecer password', 'Las contraseñas no coinciden');
            f.new_pass.focus();
        }

    }
}
/**************************************************************************************************** */

function mp() { $('#loading').fadeIn(400, "linear"); } //funcion para mostar
function op() { $('#loading').fadeOut(10, "linear"); } // funcion para ocultar
/*******************************************ALERTAS*************************************************/

//Alertas Pnotify

function ms(titulo, texto) {
    new PNotify({
        title: titulo,
        text: texto,
        type: 'success',
        styling: 'bootstrap3'
    });
}

function me(titulo, texto) {
    new PNotify({
        title: titulo,
        text: texto,
        type: 'error',
        styling: 'bootstrap3'
    });
}

function mw(titulo, texto) {
    new PNotify({
        title: titulo,
        text: texto,
        type: 'warning',
        styling: 'bootstrap3'
    });
}


/**
 * Muestra Modal, donde dice si ya expiro el link
 * y si ya se usó
 */
function showTimeExpired() {
    $('#myModal-time-expired').modal({
        show: true,
        backdrop: 'static',
        keyboard: true
    });

    $('.close').click(function(e) {
        e.preventDefault();
        history.pushState(null, "", "/");
        // location.href = '/';
    });
}